HF_Antenna

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator
Public Member Functions | Public Attributes
Ui_Measurement Class Reference

`#include <ui_measurement.h>`

Inheritance diagram for Ui_Measurement:
[legend]

List of all members.

## Public Member Functions
void | setupUi (QWidget *Measurement)
void | retranslateUi (QWidget *Measurement)

## Public Attributes
QGroupBox * | groupBox
QWidget * | formLayoutWidget
QFormLayout * | formLayout
QLabel * | frequencyLabel
QLineEdit * | freqTune
QPushButton * | tune
QPushButton * | vswr
QLineEdit * | tuneResult
QLineEdit * | vswrVal
QCheckBox * | ind_Canal
QLineEdit * | channel
QGroupBox * | groupBox_2
QWidget * | formLayoutWidget_2
QFormLayout * | formLayout_2
QLabel * | freqStartLabel
QLineEdit * | freqStart
QWidget * | formLayoutWidget_3
QFormLayout * | formLayout_3
QLabel * | freqStopLabel
QLineEdit * | freqStop
QWidget * | formLayoutWidget_4
QFormLayout * | formLayout_4
QLabel * | stepFrequencyHzLabel
QLineEdit * | stepFreq
QPushButton * | start
QCheckBox * | ind_Tune_Link
QWidget * | vswr_Plot
QWidget * | formLayoutWidget_5
QFormLayout * | formLayout_5
QLabel * | vSWRMinLabel
QLineEdit * | vswrMinVal
QWidget * | formLayoutWidget_6
QFormLayout * | formLayout_6
QLabel * | freqMinLabel
QLineEdit * | freqVal

## Member Function Documentation

void Ui_Measurement::retranslateUi | ( | QWidget * | Measurement | ) |
| inline

void Ui_Measurement::setupUi | ( | QWidget * | Measurement | ) |
| inline

## Member Data Documentation

QLineEdit* Ui_Measurement::channel

QFormLayout* Ui_Measurement::formLayout

QFormLayout* Ui_Measurement::formLayout_2

QFormLayout* Ui_Measurement::formLayout_3

QFormLayout* Ui_Measurement::formLayout_4

QFormLayout* Ui_Measurement::formLayout_5

QFormLayout* Ui_Measurement::formLayout_6

QWidget* Ui_Measurement::formLayoutWidget

QWidget* Ui_Measurement::formLayoutWidget_2

QWidget* Ui_Measurement::formLayoutWidget_3

QWidget* Ui_Measurement::formLayoutWidget_4

QWidget* Ui_Measurement::formLayoutWidget_5

QWidget* Ui_Measurement::formLayoutWidget_6

QLabel* Ui_Measurement::freqMinLabel

QLineEdit* Ui_Measurement::freqStart

QLabel* Ui_Measurement::freqStartLabel

QLineEdit* Ui_Measurement::freqStop

QLabel* Ui_Measurement::freqStopLabel

QLineEdit* Ui_Measurement::freqTune

QLabel* Ui_Measurement::frequencyLabel

QLineEdit* Ui_Measurement::freqVal

QGroupBox* Ui_Measurement::groupBox

QGroupBox* Ui_Measurement::groupBox_2

QCheckBox* Ui_Measurement::ind_Canal

QCheckBox* Ui_Measurement::ind_Tune_Link

QPushButton* Ui_Measurement::start

QLineEdit* Ui_Measurement::stepFreq

QLabel* Ui_Measurement::stepFrequencyHzLabel

QPushButton* Ui_Measurement::tune

QLineEdit* Ui_Measurement::tuneResult

QPushButton* Ui_Measurement::vswr

QWidget* Ui_Measurement::vswr_Plot

QLabel* Ui_Measurement::vSWRMinLabel

QLineEdit* Ui_Measurement::vswrMinVal

QLineEdit* Ui_Measurement::vswrVal

The documentation for this class was generated from the following file:

- C:/Users/Sarah/Documents/Langage_C++/HF_ANTENNA/Project/ui_measurement.h